XFileSharing Pro - [Issue] direct images mod

Powerfull XFileSharing version

Moderator: admin

Message
Author
olesjas
Posts: 14
Joined: Dec 28, 2009 5:29 pm

[Issue] direct images mod

#1 Postby olesjas » Feb 08, 2010 8:21 pm

hi,
when i enable the direct-images mod and upload a image file, i get following error message:

Can't locate object method "newFromJpeg" via package "GD::Image" at /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi/GD/Image.pm line 81.

My perl is up to date and GD is working fine, do you have a clue whats wrong?
regards

PowerChaos
Posts: 521
Joined: Dec 19, 2009 5:12 pm
Location: belguim
Contact:

#2 Postby PowerChaos » Feb 10, 2010 2:40 am

do you have gd::image installed ??

because it says that it cant find it

Code: Select all

Can't locate object method "newFromJpeg" via package "GD::Image"


try using yum to update it or to change your apache configuration to enable gdlib (glib.so if i am not wrong , i know nothing of linux :S)

Code: Select all

yum install gdlib

i think that need to work , then your apache (php.ini or http.conf ? or was that only for php :s)
and it should work i guess

Greets From PowerChaos

olesjas
Posts: 14
Joined: Dec 28, 2009 5:29 pm

#3 Postby olesjas » Feb 11, 2010 6:18 pm

Hey, thanks for your suggestion :)

Thats the miracle: GD Devel+libs were installed by a tech guy of my hosting company (iweb.com). All other GD-related functions work fine, even the captcha.

Code: Select all

yum list installed | egrep 'gcc|glibc|glibc-common|gd|gd-devel'
gcc.x86_64                              4.1.2-46.el5_4.1               installed
gcc-c++.x86_64                          4.1.2-46.el5_4.1               installed
gcc-gfortran.x86_64                     4.1.2-46.el5_4.1               installed
gd.i386                                 2.0.33-9.4.el5_4.2             installed
gd.x86_64                               2.0.33-9.4.el5_4.2             installed
gd-devel.i386                           2.0.33-9.4.el5_4.2             installed
gd-devel.x86_64                         2.0.33-9.4.el5_4.2             installed
gd-progs.x86_64                         2.0.33-9.4.el5_4.2             installed
gdb.x86_64                              6.8-37.el5                     installed
gdbm.x86_64                             1.8.0-26.2.1                   installed
glibc.i686                              2.5-42.el5_4.2                 installed
glibc.x86_64                            2.5-42.el5_4.2                 installed
glibc-common.x86_64                     2.5-42.el5_4.2                 installed
glibc-devel.x86_64                      2.5-42.el5_4.2                 installed
glibc-headers.x86_64                    2.5-42.el5_4.2                 installed
libgcc.i386                             4.1.2-46.el5_4.1               installed
libgcc.x86_64                           4.1.2-46.el5_4.1               installed
libgdiplus.x86_64                       1.2.5-1.el5.centos             installed
libgdiplus-devel.x86_64                 1.2.5-1.el5.centos             installed
php-gd.x86_64                           5.1.6-23.2.el5_3               installed
sysklogd.x86_64                         1.4.1-44.el5                   installed



Code: Select all

locate glib.so
/usr/lib/libnm_glib.so.0
/usr/lib/libnm_glib.so.0.1.0
/usr/lib64/libavahi-glib.so.1
/usr/lib64/libavahi-glib.so.1.0.1
/usr/lib64/libnm_glib.so.0
/usr/lib64/libnm_glib.so.0.1.0


lib64 is added to LD_LIBRARY_PATH variable. It might not be a permission issue. But what else? I really stuck on this :S

greets

User avatar
PilgrimX182
Posts: 2182
Joined: Mar 22, 2006 1:39 pm
Location: UFO Lab
Contact:

#4 Postby PilgrimX182 » Feb 12, 2010 1:45 pm

Search for perl-gd package.

olesjas
Posts: 14
Joined: Dec 28, 2009 5:29 pm

#5 Postby olesjas » Feb 12, 2010 2:58 pm

hi, perl-GD is installed

Code: Select all

> yum list installed | egrep 'perl-GD'
perl-GD.x86_64                          2.44-1.el5.rf                  installed


libjpeg is there too

Code: Select all

> rpm -qa | grep libjpeg
libjpeg-6b-37
libjpeg-6b-37
libjpeg-devel-6b-37

User avatar
PilgrimX182
Posts: 2182
Joined: Mar 22, 2006 1:39 pm
Location: UFO Lab
Contact:

#6 Postby PilgrimX182 » Feb 16, 2010 11:50 am

Contact [email protected] with your FTP details, will investigate and fix asap. Seems you have kinda different GD lib.


Return to “XFileSharing Pro”

Who is online

Users browsing this forum: No registered users and 0 guests